service system/cleanfs {
    need = system/mountfs

	start {
		# Set the path
		export PATH=/bin:/sbin:/usr/bin:/usr/sbin

		# Read functions
		. /etc/rc.d/init.d/functions

		# Read system config data
		if [ -r /etc/sysconfig/system ]; then
			. /etc/sysconfig/system
		else
			CLEAN_TMP=no
		fi

		# Clean up /.
		rm -f /fastboot /fsckoptions /forcefsck /halt /poweroff

		# Clean up /var
		# I'd use find, but /usr may not be mounted.
		for afile in /var/lock/* /var/run/*; do
			bafile=$(basename $afile)
			if [ -d "$afile" ]; then
				[ "$bafile" != "news" -a "$bafile" != "sudo" -a "$bafile" != "mon" ] && rm -rf $afile/*
			else
				[ "$bafile" != "hwprofile" ] && rm -f $afile 2> /dev/null
			fi
		done
		# Delete stale files
		rm -f /var/lib/rpm/__db* /var/spool/postoffice/.pid.* /tmp/.X*-lock \
			/tmp/.lock.* /tmp/.gdm_socket /tmp/.s.PGSQL.*
		rm -rf /tmp/.X*-unix /tmp/.ICE-unix /tmp/.font-unix /tmp/hsperfdata_* \
			/tmp/kde-* /tmp/ksocket-* /tmp/mc-* /tmp/mcop-* /tmp/orbit-*  \
			/tmp/scrollkeeper-*  /tmp/ssh-*

		# Clean up utmp/wtmp
		if ! is_no "$NEED_XFILES" ; then
			:>/var/run/utmpx
			touch /var/log/wtmpx
			chown root.utmp /var/run/utmpx /var/log/wtmpx
			chmod 0664 /var/run/utmpx /var/log/wtmpx
		else
			:>/var/run/utmp
			touch /var/log/wtmp
			chown root.utmp /var/run/utmp /var/log/wtmp
			chmod 0664 /var/run/utmp /var/log/wtmp
		fi

		# Clean /tmp
		if is_yes "$CLEAN_TMP"; then
			rm -rf /tmp/* /tmp/.[a-zA-Z0-9]*
		fi

		# System protected dirs
		mkdir -m 1777 -p /tmp/.ICE-unix > /dev/null 2>&1
		chown root:root /tmp/.ICE-unix
		[ -n "$SELINUX" ] && restorecon /tmp/.ICE-unix >/dev/null 2>&1

		# There could be a new kernel version. Remove old psdevtab database
		rm -f /etc/psdevtab
	}
}

# vim:ai
